#ifndef THREAD_MGMT_H
#define THREAD_MGMT_H

#include <stdint.h>

/**
 * @brief Initializes the OpenThread stack.
 */
int thread_mgmt_init(void);

/**
 * @brief Restarts the Thread stack.
 * @param force If true, forces a full restart even if dataset is unchanged.
 */
void thread_mgmt_restart_thread_stack(bool force);
#endif